class CirrusKit
  constructor: ->
    @container = $('.cirruskit')
    @nav_panel = @container.find '.nav-panel'
    @content_panel = @container.find '.content-panel'
    @setup_events()

  setup_events: =>
    @nav_panel.hover @nav_panel_hover, @nav_panel_stop_hover

    @content_panel.scroll (e) =>
      @update_top_fixed(e)

  nav_panel_hover: =>
    @nav_panel.addClass 'hover'

  nav_panel_stop_hover: =>
    @nav_panel.removeClass 'hover'

  update_top_fixed: (e) =>
    # Let .cirruskit-top-fixed stick to top on scroll
    $fixed = @container.find('.cirruskit-top-fixed')
    if @content_panel.scrollTop() > $fixed.offset().top
      $fixed.addClass 'fixed'
      @content_panel.css 'padding-top', $fixed.height()
    else
      $fixed.removeClass 'fixed'
      @content_panel.css 'padding-top', 0

(exports ? this).cirruskit = new CirrusKit()
